/*
   SPDX-FileCopyrightText: 2018-2022 Laurent Montel <montel@kde.org>

   SPDX-License-Identifier: LGPL-2.0-or-later
*/

#pragma once

#include "librestapi_private_export.h"
#include "userbasejob.h"

#include <QNetworkRequest>
namespace RocketChatRestApi
{
class LIBROCKETCHATRESTAPI_QT5_TESTS_EXPORT GetPresenceJob : public UserBaseJob
{
    Q_OBJECT
public:
    explicit GetPresenceJob(QObject *parent = nullptr);
    ~GetPresenceJob() override;

    Q_REQUIRED_RESULT bool start() override;
    Q_REQUIRED_RESULT bool requireHttpAuthentication() const override;

    Q_REQUIRED_RESULT QNetworkRequest request() const override;

    Q_REQUIRED_RESULT bool canStart() const override;

Q_SIGNALS:
    void getPresenceDone(const QString &presence);

private:
    Q_DISABLE_COPY(GetPresenceJob)
    void onGetRequestResponse(const QJsonDocument &replyJson) override;
};
}
